Subject: Re: [PATCH v2] wl1251: Fix possible buffer overflow in wl1251_cmd_scan

From: Kalle Valo <[email-masked]>
Date: Tue, 15 Jun 2021 13:36:02 +0000 (UTC)

Lee Gibson <[email-masked]> wrote:

> Function wl1251_cmd_scan calls memcpy without checking the length.
> Harden by checking the length is within the maximum allowed size.
> 
> Signed-off-by: Lee Gibson <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

d10a87a3535c wl1251: Fix possible buffer overflow in wl1251_cmd_scan

-- 
https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches